# lprm(1)

## Name

lprm - cancel print jobs

## Synopsis

lprm [ -h hostname[:port] ] [ -E ] [ -U username ] [ -P destination[/instance] ] [ - ] [ job-id(s) ]

## Description

lprm cancels print jobs that have been queued for printing. If no arguments are supplied, the current job on the default destination is canceled. You can specify one or more job ID numbers to cancel those jobs or use the - option to cancel all jobs.

## Options

The lprm command supports the following options:

-E
  Forces encryption when connecting to the server.
-P destination[/instance]
  Specifies the destination printer or class.
-U username
  Specifies an alternate username.
-h server[:port]
  Specifies an alternate server. Note: This option must occur before all others.

## Conforming To

The CUPS version of lprm is compatible with the standard Berkeley command of the same name.

## Examples

Cancel the current job on the default printer:

        lprm

Cancel job 1234:

        lprm 1234

Cancel all jobs:

        lprm -

## See Also

cancel(1), lp(1), lpq(1), lpr(1), lpstat(1), CUPS Online Help (http://localhost:631/help)

## Copyright

Copyright © 2021-2022 by OpenPrinting.